GIFHISTO(1)

NAME
gifhisto - make a color histogram from GIF colr frequencies

SYNOPSIS

gifhisto [-v] [-t] [-s width height] [-n image-number] [-b] [-h] [gif-file]

DESCRIPTION

A program to create histogram of number of pixels using each color. The output can be formatted into a GIF histogram file, or as text file - both go to stdout.

If no GIF file is given, gifhisto will try to read a GIF file from stdin.

OPTIONS

-v
    Verbose mode (show progress). Enables printout of running scan lines.

-t
    Force output to be text file of the following form: (colormap size) lines each containing two integers: number of times color appeared, and color index. Lines are in increasing color index order. This output can be fed directly to a sort program if ordering by color frequency is desired.

    The colormap picked is the one to be used for the image to generate histogram for, as defined in GIF format.

-s width height
    Size of GIF histogram file. The height of the histogram should be power of 2 dividable by number of colors in colormap.

    Width sets the resolution (accuracy if you like) of the histogram as the maximum histogram bar is scaled to fit it.

-n image-number
    Image number to test. Default is one.

-b
    Zeros the background color count. As only linear scale bars are supported and usually the background appears much more often then other colors, deleting the background count will improve the scaling of other colors.

-h
    Print one line of command line help, similar to Usage above.

AUTHOR

Gershon Elber